# $Revision: 1.46.2.7 $, $Date: 2004/03/24 22:13:48 $

%define		_state		stable
%define		_ver		3.1.5

Summary:	Web development tool for KDE
Summary(es):	Uno editor WEB para KDE
Summary(pl):	Narzdzie do tworzenia WWW dla KDE
Summary(pt_BR):	Um editor web para o KDE
Name:		quanta
Version:	%{_ver}
Release:	1
Epoch:		1
License:	GPL
Group:		X11/Development/Tools
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{_ver}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	4998f3159bf9f5986a6b86ba7a9b2be7
Source1:	http://dl.sourceforge.net/quanta/css.tar.bz2
# Source1-md5:	9134a94af4c783c740cc0ad5806e4b51
Source2:	http://dl.sourceforge.net/quanta/html.tar.bz2
# Source2-md5:	0cc3234c4b3df88d4115340ce05e0053
Source3:	http://dl.sourceforge.net/quanta/javascript.tar.bz2
# Source3-md5:	eea6e25a1c25af1f5a0c33e32e52c136
Source4:	http://dl.sourceforge.net/quanta/php.tar.bz2
# Source4-md5:	8ae86e900874549c3749ee5940756817
Source5:	kde-i18n-%{name}-%{version}.tar.bz2
# Source5-md5:	d8e8055d8d165369db66b3dff5006f25
Source6:	%{name}-kmdr-editor.png
Patch0:		%{name}-desktop.patch
BuildRequires:	kdebase-core >= %{version}
BuildRequires:	kdebase-libkonq >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_htmldir	/usr/share/doc/kde/HTML

%define		no_install_post_chrpath	1

%description
Quanta Plus is a web development tool for the K Desktop Environment.
Quanta is designed for quick web development and is rapidly becoming a
mature editor with a number of great features.

%description -l es
Quanta Plus s una herramienta de desarrollo web para KDE. Es
projetado para rapido desarrollo web e es casi pronto com excelent
quantidad de caracteristicas.

%description -l pl
Quanta Plus to narzdzie do tworzenia WWW dla rodowiska KDE. Suy do
szybkiego tworzenia stron i staje si dojrzaym edytorem z wieloma
przydatnymi moliwociami.

%description -l pt_BR
O Quanta Plus  uma ferramenta para desenvolvimento web para o KDE. 
projetado para desenvolvimento web rpido e est rapidamente se
tornando um editor maduro com um bom nmero de excelentes
caractersticas.

%package doc
Summary:	Quanta documentation concerning the application use and UI
Summary(pl):	Dokumentacja do aplikacji Quanta dotyczca obsugi i interfejsu uytkownika
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}

%description doc
This package contains documentation concerning the use of Quanta and
its UI.

%description doc -l pl
Pakiet ten zawiera dokumentacj w ktrej opisano obsug i interfejs
uytkownika Quanty.

%package doc-css
Summary:	Quanta documentation concerning the use of CSS
Summary(pl):	Dokumentacja do aplikacji Quanta dotyczca korzystania z CSS
Group:		Documentation
Requires:	%{name}-doc = %{epoch}:%{version}

%description doc-css
This package contains the Cascading Style Sheet manual.

%description doc-css -l pl
Pakiet ten zawiera podrcznik stylw kaskadowych (CSS - Cascading
Style Sheets).

%package doc-php
Summary:	Quanta documentation concerning the use of PHP
Summary(pl):	Dokumentacja do aplikacji Quanta dotyczca korzystania z PHP
Group:		Documentation
Requires:	%{name}-doc = %{epoch}:%{version}

%description doc-php
This package contains the PHP manual.

%description doc-php -l pl
Pakiet ten zawiera podrcznik PHP.

%package doc-html
Summary:	Quanta documentation concerning the use of HTML
Summary(pl):	Dokumentacja do aplikacji Quanta dotyczca korzystania z HTML
Group:		Documentation
Requires:	%{name}-doc = %{epoch}:%{version}

%description doc-html
This package contains the HTML manual.

%description doc-html -l pl
Pakiet ten zawiera podrcznik HTML-u.

%package doc-javascript
Summary:	Quanta documentation concerning the use of Javascript
Summary(pl):	Dokumentacja do aplikacji Quanta dotyczca korzystania z Javascriptu
Group:		Documentation
Requires:	%{name}-doc = %{epoch}:%{version}

%description doc-javascript
This package contains the Javascript manual.

%description doc-javascript -l pl
Pakiet ten zawiera podrcznik Javascriptu.

%prep
%setup -q -a 1 -a 2 -a 3 -a 4
%patch0 -p1

%build
perl admin/am_edit
kde_appsdir="%{_applnkdir}"; export kde_appsdir
kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir
%configure \
	--disable-fast-perl \
	--enable-final

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Editors/HTML,%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_pixmapsdir}/crystalsvg/32x32/apps

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ALD=$RPM_BUILD_ROOT%{_applnkdir}
install -d $ALD/Editors/HTML
mv $ALD/{Applications/*,Editors}
mv $ALD/{Development/*,Editors/HTML}

cp -R css/css css/css.docrc html/html html/html.docrc javascript/javascript \
	javascript/javascript.docrc php/php php/php.docrc \
	$RPM_BUILD_ROOT%{_datadir}/apps/quanta/doc

#mv $RPM_BUILD_ROOT%{_pixmapsdir}/{locolor,crystalsvg}/32x32/apps/kmdr-executor.png

install %{SOURCE6} $RPM_BUILD_ROOT%{_pixmapsdir}/kmdr-editor.png
ln -s hicolor/48x48/apps/quanta.png $RPM_BUILD_ROOT%{_pixmapsdir}/quanta.png

for i in `find $RPM_BUILD_ROOT%{_applnkdir} -type f`; do
	if grep '^Icon=.[^.]*$' $i >/dev/null; then
		echo -e ',s/\(^Icon=.*$\)/\\1.png/\n,w' | ed $i
	fi
done

bzip2 -dc %{SOURCE5} | tar xf - -C $RPM_BUILD_ROOT
for f in $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/*.mo; do
	[ "`file $f | sed -e 's/.*,//' -e 's/message.*//'`" -le 1 ] && rm -f $f
done

%find_lang %{name} --with-kde

install debian/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_libdir}/libkommanderwidgets.la
%attr(755,root,root) %{_libdir}/libkommanderwidgets.so*
%dir %{_libdir}/quanta
%dir %{_libdir}/quanta/plugins
%attr(755,root,root) %{_libdir}/quanta/plugins/weblint
%dir %{_datadir}/apps/quanta
%{_datadir}/apps/quanta/[!d]*
%{_applnkdir}/Editors/HTML/quanta.desktop
%{_applnkdir}/Editors/kmdr-editor.desktop
%{_applnkdir}/Editors/kmdr-executor.desktop
%{_pixmapsdir}/[!l]*/*/*/*.png
%{_pixmapsdir}/quanta.png
%{_pixmapsdir}/kmdr-editor.png
%{_mandir}/man1/*

%files doc
%defattr(644,root,root,755)
%dir %{_datadir}/apps/quanta/doc
%{_datadir}/apps/quanta/doc/*.css
%{_datadir}/apps/quanta/doc/*.docrc
%{_datadir}/apps/quanta/doc/*.html
%{_datadir}/apps/quanta/doc/*.gif
%{_datadir}/apps/quanta/doc/*.jpg
%{_datadir}/apps/quanta/doc/*.png

%files doc-css
%defattr(644,root,root,755)
%{_datadir}/apps/quanta/doc/css

%files doc-php
%defattr(644,root,root,755)
%{_datadir}/apps/quanta/doc/php

%files doc-html
%defattr(644,root,root,755)
%{_datadir}/apps/quanta/doc/html

%files doc-javascript
%defattr(644,root,root,755)
%{_datadir}/apps/quanta/doc/javascript

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: quanta.spec,v $
Revision 1.46.2.7  2004/03/24 22:13:48  ankry
- rel. 1

Revision 1.46.2.6  2004/03/20 14:01:23  ankry
- 3.1.5, NFY

Revision 1.46.2.5  2003/12/18 23:04:18  ankry
- added -desktop patch, rel. 3

Revision 1.46.2.4  2003/11/24 21:27:42  ankry
- rel. 2

Revision 1.46.2.3  2003/10/26 00:00:20  ankry
- checked for empty .mo files (and removed them)
- added .png to Icon field in .desktops

Revision 1.46.2.2  2003/10/18 21:53:10  ankry
- RA prefix,
- added debian mandirs, GNOME 1.4 icon and i18n files
- rel. 1.2

Revision 1.46.2.1  2003/10/04 23:00:22  ankry
- cosmetics

Revision 1.46  2003/10/01 18:04:54  arekm
- updated to 3.1.4

Revision 1.45  2003/09/07 11:42:43  blues
- added i18n

Revision 1.44  2003/08/21 15:21:20  qboosh
- no // in paths, other cosmetics

Revision 1.43  2003/08/17 19:15:24  arekm
- updated to 3.1.3

Revision 1.42  2003/08/15 12:04:16  ankry
- cosmetics / fixes in descriptions

Revision 1.41  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.40  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.39  2003/06/21 14:08:34  gotar
- fixed source

Revision 1.38  2003/06/16 19:09:16  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.37  2003/05/28 13:01:34  malekith
- massive attack: source-md5

Revision 1.36  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.35  2003/05/25 06:26:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/05/14 17:24:59  djurban
- 3.1.2 ready

Revision 1.33.2.3  2003/07/12 21:28:33  blues
- added langs instalation

Revision 1.33.2.2  2003/07/12 20:47:51  blues
- md5

Revision 1.33  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.32  2003/03/21 16:05:45  adgor
- It's 3.1.1 final
- Release 1

Revision 1.31  2003/03/14 09:07:10  adgor
- Up to 3.1.1

Revision 1.30  2003/02/12 14:23:20  adgor
- Fixed %%files

Revision 1.29  2003/02/12 08:26:37  adgor
- 3.1 final
- 644 for *.la
- Release 4

Revision 1.28  2003/01/21 00:21:32  adgor
- Egh..

Revision 1.27  2003/01/21 00:20:06  adgor
- Typo

Revision 1.26  2003/01/21 00:19:19  adgor
- Updated to kde-3.1-rc7
- Changed Source0 URL
- Fixed req
- Added kde_appsdir parameter
- Removed QTDIR parameters
- version 3.1, release 3, epoch 1

Revision 1.25  2003/01/18 22:56:18  juandon
- removed two lines with define

Revision 1.24  2002/11/27 15:18:35  adgor
- Added no_install_post_chrpath definition
- Removed unused locolor icons
- Release 2.1

Revision 1.23  2002/11/27 12:13:11  adgor
- Fixes in %files section
- NFY

Revision 1.22  2002/11/27 11:41:41  djurban
Rel++ to distinguish tarballs

Revision 1.21  2002/10/30 13:04:38  ankry
- desktop moved to Editors/HTML, rel. 2

Revision 1.20  2002/10/10 22:13:15  djurban
- kde < 3.0.7 is no longer supported. Please use the one from DEVEL.

Revision 1.19  2002/10/10 20:47:19  kloczek
- Epoch: 1 (for allow upgrade from 3.0pr2a).

Revision 1.18  2002/10/10 20:21:20  djurban
- Quanta 3.0 final updated
- Added doc-* and kate-syntax subpackages
- kate-syntax does not work with kdebase < 3.0.7,
  because I can not find any documentation on %if construction in rpm
- Removed find-lang and .po source. quanta is a part of kde infrastructure (others)
  therefore its translation will be released in kde-i18n-xx-others-quanta with kde 3.1.

Revision 1.17  2002/09/11 23:30:16  blues
- 3.0pr2a - bugfixes - STBR

Revision 1.16  2002/09/10 22:54:57  blues
- release 2 - rebuild with updated pl translation

Revision 1.15  2002/09/10 15:22:24  blues
- 3.0pr2 - STBR

Revision 1.14  2002/09/04 14:39:37  blues
- release 3 - updated pl translation - STBR

Revision 1.13  2002/08/31 16:15:43  blues
- release 2 - STBR

Revision 1.12  2002/07/31 08:27:12  kloczek
- merge translations from Conectiva.

Revision 1.11  2002/07/30 23:21:49  blues
- release 1.2

Revision 1.10  2002/07/30 10:52:52  qboosh
- fixed icons and docs location (if it builds now)

Revision 1.9  2002/07/28 19:16:30  blues
- started with polish translation

Revision 1.8  2002/07/28 12:06:03  blues
- 3.0pr1 (for KDE3)

Revision 1.7  2002/07/10 08:41:55  qboosh
- s/kde-libs-devel/kdelibs-devel/

Revision 1.6  2002/07/09 20:25:14  blues
- it requires kde-libs

Revision 1.5  2002/04/26 06:33:49  fastviper
- upgraded to 2.0.1
- changed license to GPL (was 'unknown')
- adapterized

Revision 1.4  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:14:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/11 15:48:36  qboosh
- pl translations, changed Source URLs to ftp; NOTE: current is final 2.0

Revision 1.1  2001/08/18 15:41:59  waszi
- initial release (based on spec written by socrat :)
